ifdef USE_DIET
DCOMP=/home/neocool/projects/dcomp
DIET=/home/neocool/software/dietlibc/bin
CC=$(DIET)/diet gcc
PATH=$(DIET):/bin:/usr/bin
LDLIBS+=-L$(DCOMP) -ldcomp
MARGS=USE_DIET=1
else
CC=gcc
CFLAGS+=-ansi -pedantic
#LDFLAGS=-static
MARGS=
endif

DEBUGCMD=mpatrol -d -B --leak-table
MAKE=make

CFLAGS+=-Wall -Werror 
CFLAGS+=-D_BSD_SOURCE -D_POSIX_SOURCE
CFLAGS+=-g3

.PHONY: clean
clean: clean-subdirs
	rm -f *.o mpatrol.*.log $(CLEANFILES)
	rm -rf $(CLEANDIRS)

.PHONY: distclean
distclean: clean

.PHONY: all-subdirs
all-subdirs:
	@for dir in $(SUBDIRS) ; do \
		(cd $$dir && $(MAKE) $(MARGS) all) || exit 1; \
	done

.PHONY: clean-subdirs
clean-subdirs:
	@for dir in $(SUBDIRS) ; do \
	    (cd $$dir && $(MAKE) $(MARGS) clean) || exit 1; \
	done

.PHONY: doc-subdirs
doc-subdirs:
	@for dir in $(SUBDIRS) ; do \
		(cd $$dir && $(MAKE) $(MARGS) doc) || exit 1; \
	done
	
.PHONY: check
check: $(DEPS) $(TESTS)
	@for test in $(TESTS); do \
		(echo "Running $$test..." && exec ./$$test) || exit $$?; \
	done

.PHONY: check2
check2: $(DEPS) $(TESTS)
	@rm -f mpatrol.*.log
	@for test in $(TESTS); do \
		(echo "Running $$test..." && exec $(DEBUGCMD) ./$$test) || exit $$?; \
	done

.PHONY: doc
doc:
	doxygen >/dev/null || true
