#ifndef __GUI_H_
#define __GUI_H_

#include <ncurses.h>

#ifdef __cplusplus
extern "C" {
#endif

#undef KEY_ENTER

/** 'Enter' key */
#define KEY_ENTER	10
/** 'ESC' key */
#define KEY_ESC		27
/** usleep()-time for scrtxts */
#define	SCR_TIME	70000
/** Color for menu selections */
#define MENU_SEL	1

/** Move cursor to top of screen */
#define mov_head()		move(0, 0)
/** Move cursor to bottom of screen */
#define mov_foot()		move(LINES-1, 0)
/** Make input handling non-blocking */
#define inp_nblk()		nodelay(stdscr, TRUE)
/** Enable keypad input */
#define inp_kpad()		keypad(stdscr, TRUE)
/** Set bold font */
#define bold_font()		attrset(A_BOLD)
/** Set normal font */
#define norm_font()		attrset(A_NORMAL)
/** Set color */
#define set_color(col)	attrset(COLOR_PAIR(col))
/** Finalize a GUI screen */
#define finalize_gui()	endwin()

/** ScrTxt temporary variable (only one ScrTxt atm) */
int st_tmp;

/** Print headline
@param text The text to print
*/
void print_top (char *text);
/** Draw a moving text
@param text The text which is displayed
@param line The line-number where the text is displayed
@param color The text-color
*/
void scrtxt (char *text, int line, int color);
/** Initialize a GUI screen */
void init_gui ();

#ifdef __cplusplus
}
#endif
#endif
