#ifndef __FMT_H
#define __FMT_H

#ifdef __cplusplus
extern "C" {
#endif

#include <time.h>

/** Format a HTML string
@param text The HTML string
@return The deHTMLized string
Return value must be free'd.
*/
char *fmt_html (char *text);
/** Decode umlauts from an UTF-8 string
@param text The string to work with
@return The resulting string
Return value must be free'd.
*/
char *fmt_utf8 (char *text);
/** This function removes all newline characters from the string.
@param text The string to work with
@return The resulting string
Return value must be free'd.
*/
char *fmt_rmesc (char *text);
/** Return a string which contains the current local date and time
@param val An optional time to use instead of current time
@return The resulting string
Return value must be free'd.
*/
char *fmt_date (time_t val);

#ifdef __cplusplus
}
#endif
#endif
