#ifndef __STR_H
#define __STR_H

#ifdef __cplusplus
extern "C" {
#endif

/** Concatenate two strings
@param str1 First string
@param str2 Second string
@return The concatenated string
Return value must be free'd.
*/
char *strdog (char *str1, char *str2);
/** Cut a part from a string
@param str The string to work with
@param begin First character to cut
@param count Number of characters to cut
@return The resulting string
Return value must be free'd.
*/
char *strcut (char *str, int begin, int count);
/** Replace a certain character sequence by another one in a string
@param str The string to work with
@param old The character sequence to be replaced
@param new The character sequence that replaces 'old'
@return The resulting string
Return value must be free'd.
*/
char *strrep (char *str, char *old, char *new);
/** Count the number of occurences of a substring in a string
@param str The string to work with
@param sstr The substring
@return Number of occurences of the substring in the string
*/
int strcnt (char *str, char *sstr);
/** Remove a certain character sequence from a string
@param str The string to work with
@param tokill The character sequence which should be removed
@return The resulting string
Return value must be free'd.
*/
char *strkill (char *str, char *tokill);
/** Replace a character in a string with another one
@param str The string to work with
@param old The character to replace
@param new The character which replaces 'old'
@return The resulting string
Return value must be free'd.
*/
char *chrep (char *str, char old, char new);

#ifdef __cplusplus
}
#endif
#endif
