#ifndef __HTTP_H_
#define __HTTP_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <sock.h>

/* Maximum length of a HTTP header */
#define HTTP_HEAD	255
/* This string is send as user-agent in the HTTP requests */
#define HTTP_UA		"libsock HTTP client"

/** Get content of a HTTP header field
@param text The HTTP header
@param field The requested header field
@return Content of the requested header field
Return value must be free'd.
*/
char *http_header (char *text, char *field);
/** Send and receive a HTTP GET-request easily
@param sck The socket to work with
@param file The file to request
@return The answer to the GET-request
Return value must be free'd.
*/
char *http_get (sock *sck, char *file);
/** Process a HTTP GET-request
@param req The request
@return The requested file
Return value must be free'd.
*/
char *http_get_file (char *req);
/** Process a HTTP GET-request
@param req The request
@return The requested protocol
Return value must be free'd.
*/
char *http_get_proto (char *req);
/** Receive a HTTP request
@param sck The socket to read from
@return The request received
Return value must be free'd.
*/
char *http_req (sock *sck);

#ifdef __cplusplus
}
#endif
#endif
